
QGIS Application - Bug report #9971

64-bit feature IDs are getting truncated

2014-04-01 07:28 AM - Jan Hudec

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:2.2.0 Regression?: No

Operating System: Debian GNU/Linux sid amd64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18466

Description

The attributes window truncates integral values to 32 bits and query tool only compares those 32 bits even though the underlying spatialite

table contains 64 bit ones, the layer properties lists the columns as `qlonglong` (in the below example, it will show them as text, but when

they are actually declared integer, it will do that) and the database manager shows full 64 bits. I have not tried whether other data

providers have the same problem or not.

To reproduce, open the db manager and select something like

select (1<<63) as a, (1<<32) as b, (1<<32)-1 as c, GeomFromText('POINT(1 2)') as d

(it does not seem possible to import data-only layer from db manager). The db manager will show correct results of

-9223372036854775808 | 4294967296 | 4294967295

but when you load it as layer, the properties window will show it as

0 | 0 | -1

Related issues:

Related to QGIS Application - Bug report # 10790: OpenStreetMap plugin only l... Closed 2014-07-03

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-06-19 05:52 PM - Sandro Santilli

- Related to Bug report #10790: OpenStreetMap plugin only loads 32 bits numbers ID, then start with negative numbers added

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
